package com.gh.gamecenter.qa.subject;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.entity.CommunityEntity;

/**
 * Created by khy on 10/04/18.
 * 社区专题
 */

public class CommunitySubjectActivity extends ToolBarActivity {

    public static Intent getIntent(Context context, CommunityEntity community, String subjectId, String entrance, String path) {
        Bundle bundle = new Bundle();
        bundle.putString(EntranceConsts.KEY_ENTRANCE, mergeEntranceAndPath(entrance, path));
        bundle.putString(EntranceConsts.KEY_COLUMN_ID, subjectId);
        bundle.putParcelable(EntranceConsts.KEY_COMMUNITY_DATA, community);
        return getTargetIntent(context, CommunitySubjectActivity.class, AskSubjectFragment.class, bundle);
    }

    @Override
    protected Intent provideNormalIntent() {
        return getTargetIntent(this, CommunitySubjectActivity.class, AskSubjectFragment.class);
    }
}
